# This is a sample build configuration for Python.
# Check our guides at https://confluence.atlassian.com/x/VYk8Lw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: continuumio/anaconda:latest

pipelines:
  default:
    - step:
        script: # Modify the commands below to build your repository.
          - apt-get -y install libgl1-mesa-glx
          - conda update -y conda
          - conda env create -f environment.yml
          - source activate nwchempy
          - cd ../
          - git clone git@bitbucket.org:mdd31/xmlvalidator.git
          - ls
          - cd xmlvalidator
          - pip install .
          - cd ../build
          - pip install .
          - pytest cmlgenerator/test/*test.py
